<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\SectionBannerAssocTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\SectionBannerAssocTable Test Case
 */
class SectionBannerAssocTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\SectionBannerAssocTable
     */
    protected $SectionBannerAssoc;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'app.SectionBannerAssoc',
        'app.Banners',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('SectionBannerAssoc') ? [] : ['className' => SectionBannerAssocTable::class];
        $this->SectionBannerAssoc = $this->getTableLocator()->get('SectionBannerAssoc', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->SectionBannerAssoc);

        parent::tearDown();
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\SectionBannerAssocTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
